<?php class grayOptions {

	function getOptions() {
		$options = get_option('gray_options');
		if (!is_array($options)) {
			$options['description'] = '';
			$options['keywords'] = '';
			$options['menu'] = 'pages';
			$options['categories'] = false;
			$options['ads'] = false;
			$options['ads_code'] = '';
			$options['beian'] = false;
			$options['beian_code'] = '';
			$options['stats'] = false;
			$options['stats_code'] = '';
			
			update_option('gray_options', $options);
		}
		return $options;
	}

	function add() {
		if(isset($_POST['gray_save'])) {
			$options = grayOptions::getOptions();
			
			// meta
			$options['description'] = stripslashes($_POST['description']);
			$options['keywords'] = stripslashes($_POST['keywords']);
			
			// menu
			$options['menu'] = stripslashes($_POST['menu']);		
			if ($_POST['categories']) {
				$options['categories'] = (bool)true;
			} else {
				$options['categories'] = (bool)false;
			}

			// ads
			if ($_POST['ads']) {
				$options['ads'] = (bool)true;
			} else {
				$options['ads'] = (bool)false;
			}
			$options['ads_code'] = stripslashes($_POST['ads_code']);
						
			// beian
			if ($_POST['beian']) {
				$options['beian'] = (bool)true;
			} else {
				$options['beian'] = (bool)false;
			}
			$options['beian_code'] = stripslashes($_POST['beian_code']);

			// stats
			if ($_POST['stats']) {
				$options['stats'] = (bool)true;
			} else {
				$options['stats'] = (bool)false;
			}
			$options['stats_code'] = stripslashes($_POST['stats_code']);
							
			update_option('gray_options', $options);

		} else {
			grayOptions::getOptions();
		}

		add_theme_page(__('Current Theme Options', 'gray'), __('Current Theme Options', 'gray'), 'edit_themes', basename(__FILE__), array('grayOptions', 'display'));
	}

	function display() {
		$options = grayOptions::getOptions();
?>

<form action="#" method="post" enctype="multipart/form-data" name="gray_form" id="gray_form">
	<div class="wrap">
		<h2><?php _e('Current Theme Options', 'gray'); ?></h2>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Meta', 'gray'); ?></th>
					<td>
						<?php _e('Description:', 'gray'); ?>
						<br/>
						<input type="text" name="description" id="description" class="code" style="width:98%;" value="<?php echo($options['description']); ?>">
						<br/>
						<?php _e('Keywords:', 'gray'); ?> <small><?php _e('( Separate keywords with commas )', 'gray'); ?></small>
						<br/>
						<input type="text" name="keywords" id="keywords" class="code" style="width:98%;" value="<?php echo($options['keywords']); ?>">
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('menu', 'gray'); ?></th>
					<td>
						<label style="margin-right:20px;">
							<input name="menu" type="radio" value="pages" <?php if($options['menu'] != 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show pages as menu.', 'gray'); ?>
						</label>
						<label>
							<input name="menu" type="radio" value="categories" <?php if($options['menu'] == 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show categories as menu.', 'gray'); ?>
						</label>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('ads', 'gray'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'gray'); ?></small>
					</th>
					<td>
						<!-- ads start -->
						<label>
							<input name="ads" type="checkbox" value="checkbox" <?php if($options['ads']) echo "checked='checked'"; ?> />
							 <?php _e('ads.', 'gray'); ?>
						</label>
						<br />
						<label>
							<textarea name="ads_code" id="ads_code" cols="50" rows="10" style="width:98%;font-size:12px;" class="code"><?php echo($options['ads_code']); ?></textarea>
						</label>
						<!-- ads end -->
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('beian', 'gray'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'gray'); ?></small>
					</th>
					<td>
						<!-- beian start -->
						<label>
							<input name="beian" type="checkbox" value="checkbox" <?php if($options['beian']) echo "checked='checked'"; ?> />
							 <?php _e('beian.', 'gray'); ?>
						</label>
						<br />
						<label>
							<textarea name="beian_code" id="beian_code" cols="50" rows="10" style="width:98%;font-size:12px;" class="code"><?php echo($options['beian_code']); ?></textarea>
						</label>
						<!-- beian end -->
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('stats', 'gray'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'gray'); ?></small>
					</th>
					<td>
						<!-- stats start -->
						<label>
							<input name="stats" type="checkbox" value="checkbox" <?php if($options['stats']) echo "checked='checked'"; ?> />
							 <?php _e('stats.', 'gray'); ?>
						</label>
						<br />
						<label>
							<textarea name="stats_code" id="stats_code" cols="50" rows="10" style="width:98%;font-size:12px;" class="code"><?php echo($options['stats_code']); ?></textarea>
						</label>
						<!-- stats end -->
					</td>
				</tr>
			</tbody>
		</table>
														
		<p class="submit">
			<input class="button-primary" type="submit" name="gray_save" value="<?php _e('Save Changes', 'gray'); ?>" />
		</p>
	</div>

</form>

<?php } }

add_action('admin_menu', array('grayOptions', 'add')); 

function my_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>">
			<div class="comment-author vcard">
				<?php echo get_avatar( $comment, 32 ); ?>
				<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
				<?php if(function_exists("yus_reply")) yus_reply(); ?>
			</div>

			<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>

			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('Your comment is awaiting moderation.') ?></em>
			<?php endif; ?>
			
			<?php comment_text() ?>

			<div class="reply">
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</div>
		</div>
<?php }

if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
?>